
import junit.framework.*;
import net.sourceforge.groboutils.junit.v1.iftc.*;

public class Sample4TestI extends InterfaceTestCase {
    private static final Class THIS_CLASS = Sample4TestI.class;
    
    public Sample4TestI( String name, ImplFactory f ) {
        super( name, Sample4.class, f );
    }

    protected Sample4 createSample4() {
        return (Sample4)createImplObject();
    }

    //---------------------------------------------------------------
    // Tests
    
    public void testProcessString1() {
        Sample4 s4 = createSample4();
        s4.processStrings();
    }
    
    public static InterfaceTestSuite suite() {
        InterfaceTestSuite suite =
            new InterfaceTestSuite( THIS_CLASS );
        return suite;
    }
}

