package com.ddj.ddjplayer;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;

public class AboutBox extends JDialog implements ActionListener {
  private JPanel mainPanel = new JPanel();
  private JPanel buttonPanel = new JPanel();
  private JButton okButton = new JButton();
  private JLabel imageLabel = new JLabel();
  private JLabel productLabel = new JLabel();
  private JLabel versionLabel = new JLabel();
  private JLabel copyrightLabel = new JLabel();
  private GridLayout mainLayout = new GridLayout();
  private static final String product = "DDJ Music Player";
  private static final String version = "1.0";
  private static final String copyright = "Copyright (c) DDJ, 2002 All Rights Reserved";

  public AboutBox(Frame parent) {
      super(parent);
      enableEvents(AWTEvent.WINDOW_EVENT_MASK);
      try {
         GuiInit();
       }
      catch(Exception e) {
          e.printStackTrace();
       }
      pack();
  }

    private void GuiInit() throws Exception  {
    this.setTitle("About");
    setResizable(false);
    mainPanel.setLayout(mainLayout);
    buttonPanel.setLayout(new BorderLayout() );
    mainPanel.setBorder(BorderFactory.createEmptyBorder(10, 10, 10, 10));
    mainLayout.setRows(4);
    mainLayout.setColumns(1);
    productLabel.setText(product);
    versionLabel.setText(version);
    copyrightLabel.setText(copyright);
    okButton.setText("Ok");
    okButton.addActionListener(this);
    buttonPanel.add(okButton);
    mainPanel.add(productLabel, null);
    mainPanel.add(versionLabel, null);
    mainPanel.add(copyrightLabel, null);
    this.getContentPane().add(mainPanel, BorderLayout.NORTH);
    this.getContentPane().add(buttonPanel, null);
  }

  protected void processWindowEvent(WindowEvent e) {
     if (e.getID() == WindowEvent.WINDOW_CLOSING) {
        dispose();
      }
    super.processWindowEvent(e);
  }

  public void actionPerformed(ActionEvent e) {
    if (e.getSource() == okButton) {
      dispose();
    }
  }
}