
import junit.framework.*;
import net.sourceforge.groboutils.junit.v1.iftc.*;

/**
 * Tests the Sample1Impl class.
 */
public class Sample1ImplTest extends TestCase {
    private static final Class THIS_CLASS = Sample1ImplTest.class;
    
    public Sample1ImplTest( String name ) {
        super( name );
    }

    //---------------------------------------------------------------
    // Tests
    
    
    public void testConstructor1() {
        new Sample1Impl();
    }
    
    
    public static Test suite() {
        InterfaceTestSuite suite = Sample1TestI.suite();
        suite.addTestSuite( THIS_CLASS );
        suite.addFactory( new ImplFactory() {
            public Object createImplObject() {
                return new Sample1Impl();
            }
        } );
        
        return suite;
    }
    
    public static void main( String[] args ) {
        String[] name = { THIS_CLASS.getName() };
        
        junit.textui.TestRunner.main( name );
    }
}

